Reinforcement ColumnRebars TwoTiesSixRebars/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==== Пример ====")
(Updating to match new version of source page)
 
(5 intermediate revisions by 2 users not shown)
Line 23: Line 23:
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


The [[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|Column Reinforcement TwoTiesSixRebars]] tool allows the user to create reinforcing bars (Two Ties Six Rebars) inside a Column [[Arch Structure|Arch Structure]] object.
The [[Reinforcement_ColumnRebars|Reinforcement ColumnRebars]] tool allows the user to create reinforcing bars inside a Column [[Arch Structure|Arch Structure]] object. This page shows an additional usage example for the tool.


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The [[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|Column Reinforcement TwoTiesSixRebars]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].


Three usage examples are available:
This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:AddonManager.svg|24px]] [[Addon Manager|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.
* [[Reinforcement_ColumnRebars|Single tie rectangular column]]
* [[#Usage|Two ties six rebars rectangular column (see below)]]
* [[Reinforcement_ColumnRebars_Circular|Circular column]]


[[Image:Arch_Rebar_ColumnReinforcement_TwoTies_example.png|400px]]
[[Image:Arch_Rebar_ColumnReinforcement_TwoTies_example.png|400px]]
{{Caption|Two ties six rebars reinforcement inside a [[Arch_Structure|column]]}}


<span id="Usage"></span>
{{Caption|TwoTiesSixRebars Column Reinforcement inside a Column [[Arch Structure|Arch Structure]]}}

==Применение==
==Применение==


1. Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object. <br>
1. Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
2. Then select {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement|Column Reinforcement]]}} from the rebar tools. <br>
3. A dialog box will pop-out on screen as shown below. <br>


2. Then select {{Button|[[Image:Reinforcement_ColumnRebars.svg|16px]] [[Reinforcement_ColumnRebars|Column Reinforcement]]}} from the rebar tools.
[[Image:ColumnReinforcementDialog_Ties.png|700px]]


3. A dialog box will pop-out on screen as shown below.
{{Caption|Dialog Box for the Arch Rebar ColumnReinforcement tool}}


: [[Image:ColumnReinforcementDialog_Ties.png|700px]]
4. Select the TwoTiesSixRebars type of column reinforcement from drop down menu on right side. <br>
: {{Caption|Dialog Box for the Arch Rebar ColumnReinforcement tool}}


4. Select the TwoTiesSixRebars type of column reinforcement from drop down menu on right side.
[[Image:TwoTiesColumnReinforcementDialog_Ties.png|700px]]


: [[Image:TwoTiesColumnReinforcementDialog_Ties.png|700px]]
{{Caption|Dialog Box for the TwoTiesSixRebars ColumnReinforcement}}
: {{Caption|Dialog Box for the TwoTiesSixRebars ColumnReinforcement}}


5. Give inputs for data related to ties. <br>
5. Give inputs for data related to ties.
6. Click {{Button|Next}} and the dialog box will be updated as shown below. <br>


6. Click {{Button|Next}} and the dialog box will be updated as shown below.
[[Image:TwoTiesColumnReinforcementDialog_MainRebars.png|700px]]


: [[Image:TwoTiesColumnReinforcementDialog_MainRebars.png|700px]]
{{Caption|Dialog Box for Main Rebars data}}
: {{Caption|Dialog Box for Main Rebars data}}


7. Select desired rebar type and fill data for main rebars. <br>
7. Select desired rebar type and fill data for main rebars.
8. Click {{Button|OK}} or {{Button|Apply}} to generate column reinforcement. <br>
9. Click {{Button|Cancel}} to exit the dialog box. <br>


8. Click {{Button|OK}} or {{Button|Apply}} to generate column reinforcement.
==Свойства==

9. Click {{Button|Cancel}} to exit the dialog box.

<span id="Properties"></span>
==Свойства==


'''Ties:'''
'''Ties:'''

* {{PropertyData|Left Cover}}: The distance between the left end of the tie to the left face of the structure.
* {{PropertyData|Left Cover}}: The distance between the left end of the tie to the left face of the structure.
* {{PropertyData|Right Cover}}: The distance between the right end of the tie to right face of the structure.
* {{PropertyData|Right Cover}}: The distance between the right end of the tie to right face of the structure.
Line 76: Line 84:
* {{PropertyData|Spacing}}: The distance between the axes of each tie.
* {{PropertyData|Spacing}}: The distance between the axes of each tie.
* {{PropertyData|Ties Sequence}}: The sequence of ties from top to bottom with respect to front view.
* {{PropertyData|Ties Sequence}}: The sequence of ties from top to bottom with respect to front view.



'''Main Rebars:''' Rebars present at corners of tie
'''Main Rebars:''' Rebars present at corners of tie

* {{PropertyData|Rebar Type}}: Type of main rebars.
* {{PropertyData|Rebar Type}}: Type of main rebars.
* {{PropertyData|Hook Orientation}}: Orientation of LShaped hooks.
* {{PropertyData|Hook Orientation}}: Orientation of LShaped hooks.
Line 88: Line 96:
* {{PropertyData|Diameter}}: Diameter of the main rebars.
* {{PropertyData|Diameter}}: Diameter of the main rebars.


<span id="Scripting"></span>
==Программирование==
==Программирование==


{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The ColumnReinforcement tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Reinforcement ColumnRebars tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


=== Create Two Ties Six Rebars ===
=== Create Two Ties Six Rebars ===
Line 120: Line 129:
facename=None,
facename=None,
)
)

}}
}}


Line 140: Line 148:
* {{incode|ties_sequence}} is the sequence of ties from top to bottom with respect to front view; it can be {{incode|("Tie1", "Tie2")}} or {{incode|("Tie2", "Tie1")}}.
* {{incode|ties_sequence}} is the sequence of ties from top to bottom with respect to front view; it can be {{incode|("Tie1", "Tie2")}} or {{incode|("Tie2", "Tie1")}}.


<span id="Example"></span>
==== Пример ====
==== Пример ====


Line 155: Line 164:


# For Straight Rebars
# For Straight Rebars

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
l_cover_of_ties=40,
l_cover_of_ties=40,
Line 181: Line 189:


# For LShaped Rebars with hook along x-axis
# For LShaped Rebars with hook along x-axis

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
l_cover_of_ties=40,
l_cover_of_ties=40,
Line 206: Line 213:
)
)


# For LShaped Rebars with hook along y-axis and tie sequence
# For LShaped Rebars with hook along y-axis and tie sequence ("Tie2", "Tie1")
("Tie2", "Tie1")


RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
Line 233: Line 238:
facename="Face6",
facename="Face6",
)
)

}}
}}


=== Edition of Two Ties Six Rebars ===
=== Edition of Two Ties Six Rebars ===

You can change the properties of the ties and rebars with the following function
You can change the properties of the ties and rebars with the following function:


{{Code|code=
{{Code|code=
Line 264: Line 269:
facename=None,
facename=None,
)
)

}}
}}


Line 271: Line 275:
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.


<span id="Example"></span>
==== Пример ====
==== Пример ====


Line 307: Line 312:
|[[Arch_Rebar_ColumnReinforcement/ru|ColumnReinforcement]]
|[[Arch_Rebar_ColumnReinforcement/ru|ColumnReinforcement]]
|[[Arch_Rebar_BeamReinforcement/ru|BeamReinforcement]]
|[[Arch_Rebar_BeamReinforcement/ru|BeamReinforcement]]
|[[Arch_Workbench/ru|Arch]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_ColumnReinforcement.svg
|IconL=Arch_Rebar_ColumnReinforcement.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
Line 314: Line 319:
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 23:19, 9 March 2024

Arch Rebar ColumnReinforcement

Системное название
Arch Rebar ColumnReinforcement
Расположение в меню
Arch → Rebar tools
Верстаки
Arch, BIM
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Column Reinforcement, Beam Reinforcement

Описание

The Reinforcement ColumnRebars tool allows the user to create reinforcing bars inside a Column Arch Structure object. This page shows an additional usage example for the tool.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Three usage examples are available:

Two ties six rebars reinforcement inside a column

Применение

1. Select any face of a previously created Arch Structure object.

2. Then select Column Reinforcement from the rebar tools.

3. A dialog box will pop-out on screen as shown below.

Dialog Box for the Arch Rebar ColumnReinforcement tool

4. Select the TwoTiesSixRebars type of column reinforcement from drop down menu on right side.

Dialog Box for the TwoTiesSixRebars ColumnReinforcement

5. Give inputs for data related to ties.

6. Click Next and the dialog box will be updated as shown below.

Dialog Box for Main Rebars data

7. Select desired rebar type and fill data for main rebars.

8. Click OK or Apply to generate column reinforcement.

9. Click Cancel to exit the dialog box.

Свойства

Ties:

  • ДанныеLeft Cover: The distance between the left end of the tie to the left face of the structure.
  • ДанныеRight Cover: The distance between the right end of the tie to right face of the structure.
  • ДанныеTop Cover: The distance between tie from the top face of the structure.
  • ДанныеBottom Cover: The distance between tie from the bottom face of the structure.
  • ДанныеOffset: The distance between tie from the top/bottom face of the structure.
  • ДанныеDiameter: Diameter of the tie.
  • ДанныеBent Angle: Bent angle defines the angle at the ends of a tie.
  • ДанныеExtension Factor: Extension Factor defines length of end of tie, expressed in times the diameter.
  • ДанныеNumber: The number of ties.
  • ДанныеSpacing: The distance between the axes of each tie.
  • ДанныеTies Sequence: The sequence of ties from top to bottom with respect to front view.

Main Rebars: Rebars present at corners of tie

  • ДанныеRebar Type: Type of main rebars.
  • ДанныеHook Orientation: Orientation of LShaped hooks.
  • ДанныеHook Extend Along: Direction for hook extension.
  • ДанныеHook Extension: Length of hook of LShape rebars.
  • ДанныеRounding: A rounding value to be applied to the corners of the LShape rebars, expressed in times the diameter.
  • ДанныеTop Offset: The distance between rebar from the top face of the structure.
  • ДанныеBottom Offset: The distance between rebar from the bottom face of the structure.
  • ДанныеDiameter: Diameter of the main rebars.

Программирование

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement ColumnRebars tool can be used in macros and from the Python console by using the following function:

Create Two Ties Six Rebars

RebarGroup = makeTwoTiesSixRebars(
    l_cover_of_ties,
    r_cover_of_ties,
    t_cover_of_ties,
    b_cover_of_ties,
    offset_of_ties,
    bent_angle_of_ties,
    extension_factor_of_ties,
    dia_of_ties,
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • l_cover_of_ties, r_cover_of_ties, t_cover_of_ties, b_cover_of_ties and offset_of_ties are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
  • bent_angle_of_ties define the angle of the tip of the reinforcement loop of tie elements.
  • extension_factor_of_ties define the length of the tip of the reinforcement loop of tie elements, expressed in times the diameter of tie elements.
  • dia_of_ties is the diameter of the tie elements.
  • number_spacing_check if it is True it will create as many two ties sets as given by number_spacing_value; if it is False it will create two ties sets separated by the numerical value of number_spacing_value.
  • number_spacing_value specifies the number of two ties sets, or the value of the separation between the sets, depending on number_spacing_check.
  • dia_of_main_rebars is the diameter of the main rebars.
  • t_offset_of_rebars and b_offset_of_rebars are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • main_rebars_type is the type of the main rebars; it can be "StraightRebar" or "LShapeRebar".
  • hook_orientation specifies the orientation of LShaped hook; it can be: "Top Inside", "Top Outside", "Bottom Inside", "Bottom Outside", "Top Right", "Top Left", "Bottom Right" or "Bottom Left".
  • hook_extend_along specifies direction for hook extension; it can be "x-axis" or "y-axis".
  • l_rebar_rounding is the parameter that determines the bending radius of the LShaped main rebars, expressed as times the diameter.
  • hook_extension is the length of hook of LShaped rebars.
  • ties_sequence is the sequence of ties from top to bottom with respect to front view; it can be ("Tie1", "Tie2") or ("Tie2", "Tie1").

Пример

import FreeCAD, Draft, Arch
from ColumnReinforcement import TwoTiesSixRebars

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

# For Straight Rebars
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=40,
    b_offset_of_rebars=40,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=Structure,
    facename="Face6",
)

# For LShaped Rebars with hook along x-axis
RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie1", "Tie2"),
    structure=Structure,
    facename="Face6",
)

# For LShaped Rebars with hook along y-axis and tie sequence ("Tie2", "Tie1")

RebarGroup = TwoTiesSixRebars.makeTwoTiesSixRebars(
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="y-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie2", "Tie1"),
    structure=Structure,
    facename="Face6",
)

Edition of Two Ties Six Rebars

You can change the properties of the ties and rebars with the following function:

rebar_group = editTwoTiesSixRebars(
    rebar_group,
    l_cover_of_ties,
    r_cover_of_ties,
    t_cover_of_ties,
    b_cover_of_ties,
    offset_of_ties,
    bent_angle_of_ties,
    extension_factor_of_ties,
    dia_of_ties,
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    main_rebars_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    ties_sequence=("Tie1", "Tie2"),
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieFourRebars() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Пример

from ColumnReinforcement import TwoTiesSixRebars

rebar_group = TwoTiesSixRebars.editTwoTiesSixRebars(
    rebar_group,                                
    l_cover_of_ties=40,        
    r_cover_of_ties=40,
    t_cover_of_ties=40,
    b_cover_of_ties=40,
    offset_of_ties=100,
    bent_angle_of_ties=135,
    extension_factor_of_ties=2,
    dia_of_ties=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    main_rebars_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    ties_sequence=("Tie2", "Tie1"),
    structure=None,
    facename=None,
)